Aller au contenu principal
Sujet: Leap 15.3 arrive bientôt... Elle est sortie maintenant ! (Lu 11988 fois) sujet précédent - sujet suivant

Re : Leap 15.3 arrive bientôt

Répondre #90
(...)
Bien sûr il y a cette page en anglais  dont la dernière mise à jour date du 31/05/2021 : https://en.opensuse.org/SDB:System_upgrade
(...)
Il est aussi précisé d'attendre juillet pour les mises à jour  :o
Citer
(...) openSUSE Leap 15.3 (currently in beta and scheduled for final release in July 2021)

J'ai annulé ma mise à jour à cause du message suivant :
Citer
Problem: nothing provides libx265.so.192 needed by libavcodec58-4.2.1-pm153.3.1.i586

Re : Leap 15.3 arrive bientôt

Répondre #91
J'ai procédé à la réinstallation complète avec une clé USB. Zypper fait bien la mise à jour de quelques paquets mais il ne faut pas lui demander plus.
Je vais passer au paquet NVIDIA et à un KDE plus à jour

Re : Leap 15.3 arrive bientôt

Répondre #92
J'ai procédé à la réinstallation complète avec une clé USB. Zypper est bien la mise à jour de quelques paquets mais il ne faut pas lui demander plus.
Je vais passer au paquet NVIDIA et à un KDE plus à jour
chez toi peut être. Nous sommes quand même un certain nombre ici à l'avoir fait sans problèmes. L'essentiel étant que tu y sois arrivé par tes moyens.

Re : Leap 15.3 arrive bientôt

Répondre #93
J'ai procédé à la réinstallation complète avec une clé USB. Zypper est bien la mise à jour de quelques paquets mais il ne faut pas lui demander plus.
Je vais passer au paquet NVIDIA et à un KDE plus à jour
Je déduis de ce que tu dis que lorsque tu as fait la mise à jour avec le DVD, tes dépôts OBS externes KDE ont été désactivés ?
Encore une fois, tu es dans la situation bien indiquée dans le wiki ou même les notes de publication de Leap : tu utilises des dépôts OBS avec des priorités à 90 pour KDE, python... tu as des paquets de ton environnement de Bureau qui sont  en avance sur la version officielle.
Toutes les situations de ce type ne peuvent pas être testées ::) . La présence d'un nombre important de dépôts externes, d'autant plus quand ils concernent des paquets importants du système, causent très très souvent des problèmes lors des mise à niveau de la distribution, c'est le cas avec openSUSE mais aussi Debian, ....etc.
En plus, il y a ici un changement de mode de construction de la distro.
Dans un cas comme le tien, le mieux, ce serait sans doute de :
1) désactiver tous les dépôts externes.
2) repasser les paquets sur la version des dépôts officiels Leap 15.2
3) Bien faire la mise à jour de Leap 15.2 puis
4) upgrader vers Leap 15.3
5) après redémarrage quand tu vois que tu es bien à jour et qu'il n'y a pas de soucis, tu remets tes dépôts externes.

Comme ce qui est écrit ici pour passer de 15.1 à 15.2 : https://blog.microlinux.fr/opensuse-leap-update-15-2/
Sinon pour la doc, il y a les notes de publication
et sinon, pour répondre à @Chumi‍ : oui il faudrait mettre les pages FR du wiki à jour, tu te lances ? :)

Edit : il semble que le dépôt Packman pour Leap 15.3 pose souci mais je n'ai pas vu lequel dans les messages rapidement sur les réseaux.

Re : Leap 15.3 arrive bientôt

Répondre #94
J'ai le dépôt pacman il ne pose pas de pb, il y a 2 paquets plus anciens que le dépôt de base mais ça ne pose aucun pb.
Enfin pas dans mon cas en tous cas.

Re : Leap 15.3 arrive bientôt

Répondre #95
Je n'ai pas trouvé quel était le souci évoqué sur telegram. C'était peut-être tout simplement le problème de serveur.
Ou il manque des paquets

Re : Leap 15.3 arrive bientôt

Répondre #96
J'avais tout désactivé et repassé les dépôts nécessaires en 15.3, avec 2 nouveaux dépôts pour la 15.3.
La mise à jour n'avait rien donné. Au démarrage, dans Grub, je me retrouvé avec openSUSE 15.2 et Windows 10

Perdant mon temps, j'ai installé la 15.3 à partir d'une clé USB en écrasant la précédente partition système et gardé la partition Swap et Home pour garder mes anciens fichiers.
Plus de problèmes. Ca démarre vite, ça s'éteint vite.
Ensuite, j'ai installé de nouveaux dépôts pour KDE, Nvidia, Mozilla, Packman et quelques autres.

Il me reste à passer sous Wayland si c'est conseillé ou possible sachant que j'utilise SDDM.

Bref, la meilleure façon de faire la mise à jour est celle du DVD/USB. Pas de perte de temps avec la chienlit Zypper.

Re : Leap 15.3 arrive bientôt

Répondre #97
Avec des dépôts externes, c’ est le mieux sans doute.
Si on a que Packman, ça passe visiblement plus facilement.

Re : Leap 15.3 arrive bientôt

Répondre #98
Citer
J'ai annulé ma mise à jour à cause du message suivant :
Citer
Citer
Problem: nothing provides libx265.so.192 needed by libavcodec58-4.2.1-pm153.3.1.i586
libavcodec58 n’est pas présent pour Leap 15.3 sur le site https://software.opensuse.org/
Quand j’ai mis à jour le guide du débutant par rapport à la version originale anglaise, j’ai vu que 58 a disparu au profit de 57.
Il semble aussi qu’il y ait certains paquets de Packman qui doivent être reconstruits en prenant en compte le dépôt sle.
https://lists.links2linux.de/pipermail/packman/2021-June/016752.html

Re : Leap 15.3 arrive bientôt

Répondre #99
Citer
J'ai annulé ma mise à jour à cause du message suivant :
Citer
Citer
Problem: nothing provides libx265.so.192 needed by libavcodec58-4.2.1-pm153.3.1.i586
libavcodec58 n’est pas présent pour Leap 15.3 sur le site https://software.opensuse.org/
Quand j’ai mis à jour le guide du débutant par rapport à la version originale anglaise, j’ai vu que 58 a disparu au profit de 57.
Il semble aussi qu’il y ait certains paquets de Packman qui doivent être reconstruits en prenant en compte le dépôt sle.
https://lists.links2linux.de/pipermail/packman/2021-June/016752.html
libavcodec est présent,vu à l'instant: https://software.opensuse.org/search?utf8=%E2%9C%93&baseproject=openSUSE%3ALeap%3A15.3&q=libavcodec
pour ma part j'ai une version packman un peu plus récente

Re : Leap 15.3 arrive bientôt

Répondre #100
Pas pour 15.3, pour libavcodec58
https://software.opensuse.org/package/libavcodec58
alors que c’est bon pour libavcodec57
https://software.opensuse.org/package/libavcodec57

Édit : je l’ai ici
https://software.opensuse.org/package/libavcodec58_134-64bit
Dans Backports sle.

Je pense qu’il y a des ajustements à faire du côté des dépôts externes à cause de la nouvelle configuration sur Leap, une histoire de quelques jours sans doute.

Re : Leap 15.3 arrive bientôt

Répondre #101
Bonjour tout le monde,

Je profite que j'ai remplacé mon SSD, et fait une grosse mise à jour de mon Bios, pour tenter de nouveau le coup de l'installation de Susy en Tumbleweed :)

Surprise : elle accepte enfin de s’installer sans me donner de soucis, ce qui ne fût pas le cas lors de ma dernière tentative :)

Pour l'instant, ça roule, juste dommage que Discover ne veut rien savoir, il crash constamment ... j'ai vu que un bug est connu, donc du coup, je passe d'office par Yast Software.

Deuxième point qui m'ennuie, c'est Flatpak qui me donne constamment des erreurs de type GLib-Net-WARNING ... du coup, me suis déporté vers une installation de Birdtray via un téléchargement de ce dernier en direct de Github.

Dans l'ensemble, graphiquement, c'est toujours aussi "lécher", joli, c'est fluide, et ça répond assez vite.

Voyons ce qu'elle va me dire sur le LTS :)



Re : Leap 15.3 arrive bientôt

Répondre #102
dans yast, j'ai libavcodec 58_134 de chez packman. C'est la version la plus récente proposée: 44-pm153.2.2.
L'autre version dispo est 44-bp153.1.1 et elle vient du Main repository.

Re : Leap 15.3 arrive bientôt

Répondre #103
Oui mais toi tu es passé sur Leap 15.3 depuis un moment. La situation peut être différente pour quelqu’un qui installe ou met à jour aujourd’hui.
Ceci dit le message est bizarre
Problem: nothing provides libx265.so.192 needed by libavcodec58-4.2.1-pm153.3.1.i586
Ça parle de l’architecture i586.
il faudrait avoir le retour de
zypper search -s libavcodec58*
pour voir ce qui est installé  et disponible .
En fait ça me fait assez penser à un souci que j’ai eu sur TW avec Packman.
Les codecs n’étaient pas synchro et ça avait mis le bazar pour la mise à jour. J’avais bien sûr fait le mauvais choix à la question de zypper. Du coup impossible de repasser à ffmepg4 de Packman car ça voulait me supprimer un truc KDE, ça a duré 3 jours avant retour à la normale

 

Re : Leap 15.3 arrive bientôt

Répondre #104
et leap 15.4 pour une année après ?